#!/usr/bin/perl

$ACQUIRECMD = 'nc ente.hawo.stw.uni-erlangen.de 7337';
@OUTPUTCMD = ('./clockrcon','ntp-clock','FICKEN32',1);

unless (open(TEMPACQ,$ACQUIRECMD.'|')) {
        print("ERROR: Could not execute Acquire-Command!\n");
        exit(-1);
}
$curtempa=<TEMPACQ>;
close(TEMPACQ);
unless ($curtempa=~/^(-{0,1}[0-9]{1,2})\.([0-9][0-9])[^0-9]/) {
	print("Sorry, no valid temperature read: Command returned: '$curtempa'\n");
	exit(1);
}
$gradvk=$1; $gradhk=$2;
if ($gradvk <= -10) {
	$tempoutput = sprintf("%3d.%01d", $gradvk, int($gradhk/10));
} else {
	$tempoutput = sprintf("%2d.%02d", $gradvk, $gradhk);
}
$tempoutput .= 'C';
print("$tempoutput\n");
push(@OUTPUTCMD, $tempoutput);
system(@OUTPUTCMD);
